Package org.apache.avro.hadoop.io

# Class AvroValueDeserializer<D>

java.lang.Object
org.apache.avro.hadoop.io.AvroDeserializer<AvroWrapper<D>,D>
org.apache.avro.hadoop.io.AvroValueDeserializer<D>

Type Parameters:
  `D` - The java type of the avro data to deserialize.

All Implemented Interfaces:
  `Deserializer<AvroWrapper<D>>`

public class AvroValueDeserializer<D> extends AvroDeserializer<AvroWrapper<D>,D>
Deserializes AvroValue objects within Hadoop.

See Also:
  - `AvroDeserializer`

## Constructor Summary

Constructors
Constructor
Description
`AvroValueDeserializer(org.apache.avro.Schema writerSchema, org.apache.avro.Schema readerSchema, ClassLoader classLoader)`
Constructor.
`AvroValueDeserializer(org.apache.avro.Schema writerSchema, org.apache.avro.Schema readerSchema, org.apache.avro.io.DatumReader<D> datumReader)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected AvroWrapper<D>`
`createAvroWrapper()`
Creates a new empty `AvroValue` instance.

### Methods inherited from class org.apache.avro.hadoop.io.AvroDeserializer

`close, deserialize, getReaderSchema, getWriterSchema, open`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AvroValueDeserializer

public AvroValueDeserializer(org.apache.avro.Schema writerSchema, org.apache.avro.Schema readerSchema, ClassLoader classLoader)
Constructor.

Parameters:
  `writerSchema` - The Avro writer schema for the data to deserialize.
  `readerSchema` - The Avro reader schema for the data to deserialize.

### AvroValueDeserializer

public AvroValueDeserializer(org.apache.avro.Schema writerSchema, org.apache.avro.Schema readerSchema, org.apache.avro.io.DatumReader<D> datumReader)
Constructor.

Parameters:
  `writerSchema` - The Avro writer schema for the data to deserialize.
  `readerSchema` - The Avro reader schema for the data to deserialize.
  `datumReader` - The Avro datum reader to use for deserialization.

## Method Details

### createAvroWrapper

protected AvroWrapper<D> createAvroWrapper()
Creates a new empty `AvroValue` instance.

Specified by:
  `createAvroWrapper` in class `AvroDeserializer<AvroWrapper<D>,D>`
Returns:
  a new empty AvroValue.